Bug 439914 - KRunner/Kickoff do not show results in real time while typing with virtual keyboard
Summary: KRunner/Kickoff do not show results in real time while typing with virtual ke...
Status: RESOLVED FIXED
Alias: None
Product: frameworks-plasma
Classification: Frameworks and Libraries
Component: components (show other bugs)
Version: 5.84.0
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Marco Martin
URL:
Keywords: usability, wayland
Depends on:
Blocks:
 
Reported: 2021-07-15 21:37 UTC by Thiago Sueto
Modified: 2021-10-19 19:31 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.23.2


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thiago Sueto 2021-07-15 21:37:28 UTC
SUMMARY
When searching the new menu Kickoff or KRunner (I believe both use the same backend) using a virtual keyboard, they don't show results while typing (or after typing).

Not showing results while typing:
- always happens with the menu
- if KRunner is empty, it always happens
- if KRunner is not empty (due to saving last search), it never happens
- if KRunner is not empty, but you manually delete the current contents, it never happens

STEPS TO REPRODUCE
1. Ensure there is no last search resting in KRunner
2. Enable virtual keyboard in the tray
3. Open KRunner
4. Type the name of any existing application in your system

OBSERVED RESULT
1. No results are shown while and after typing, and
2. Pressing Enter opens the first result even if invisible

EXPECTED RESULT
1. Results are shown while and after typing
Comment 1 Nate Graham 2021-08-03 22:58:16 UTC
Can confirm the issue. Seems to be an issue with the component itself.
Comment 2 Bug Janitor Service 2021-10-19 15:15:34 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-workspace/-/merge_requests/1127
Comment 3 Bug Janitor Service 2021-10-19 15:18:23 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-desktop/-/merge_requests/612
Comment 4 Arjen Hiemstra 2021-10-19 19:25:57 UTC
Git commit 979b99aa0601c41e31fac554082cc0749fd5287b by Arjen Hiemstra.
Committed on 19/10/2021 at 15:15.
Pushed by ngraham into branch 'master'.

Set Qt.ImhNoPredictiveText for text fields that act as search fields

This ensures that searching happens while the text is being entered from
a virtual keyboard.

M  +2    -0    applets/clipboard/contents/ui/ClipboardPage.qml
M  +2    -0    lookandfeel/contents/runcommand/RunCommand.qml
M  +1    -0    plasmacalendarintegration/HolidaysConfig.qml

https://invent.kde.org/plasma/plasma-workspace/commit/979b99aa0601c41e31fac554082cc0749fd5287b
Comment 5 Nate Graham 2021-10-19 19:26:21 UTC
Git commit 5fe89f67d011469cad0e134a95db3d47eee78d22 by Nate Graham, on behalf of Arjen Hiemstra.
Committed on 19/10/2021 at 19:26.
Pushed by ngraham into branch 'Plasma/5.23'.

Set Qt.ImhNoPredictiveText for text fields that act as search fields

This ensures that searching happens while the text is being entered from
a virtual keyboard.


(cherry picked from commit 979b99aa0601c41e31fac554082cc0749fd5287b)

M  +2    -0    applets/clipboard/contents/ui/ClipboardPage.qml
M  +2    -0    lookandfeel/contents/runcommand/RunCommand.qml
M  +1    -0    plasmacalendarintegration/HolidaysConfig.qml

https://invent.kde.org/plasma/plasma-workspace/commit/5fe89f67d011469cad0e134a95db3d47eee78d22
Comment 6 Nate Graham 2021-10-19 19:26:34 UTC
Git commit 2c28dd79e9c84fa6adaa9365987aace0e199ab1f by Nate Graham, on behalf of Arjen Hiemstra.
Committed on 19/10/2021 at 19:26.
Pushed by ngraham into branch 'master'.

Set Qt.ImhNoPredictiveText for text fields that act as search fields

This ensures that searching happens while the text is being entered from
a virtual keyboard.

M  +2    -0    applets/kicker/package/contents/ui/MenuRepresentation.qml
M  +1    -0    applets/kickoff/package/contents/ui/Header.qml
M  +1    -0    applets/kimpanel/backend/ibus/emojier/app/ui/CategoryPage.qml
M  +2    -0    containments/desktop/package/contents/ui/ConfigFilter.qml
M  +2    -0    containments/desktop/package/contents/ui/ConfigLocation.qml
M  +2    -0    desktoppackage/contents/activitymanager/Heading.qml
M  +3    -0    desktoppackage/contents/explorer/WidgetExplorer.qml

https://invent.kde.org/plasma/plasma-desktop/commit/2c28dd79e9c84fa6adaa9365987aace0e199ab1f
Comment 7 Nate Graham 2021-10-19 19:27:09 UTC
Git commit 059a9dfe688bcd9763e793bc1238f3d128df44c6 by Nate Graham, on behalf of Arjen Hiemstra.
Committed on 19/10/2021 at 19:27.
Pushed by ngraham into branch 'Plasma/5.23'.

Set Qt.ImhNoPredictiveText for text fields that act as search fields

This ensures that searching happens while the text is being entered from
a virtual keyboard.


(cherry picked from commit 2c28dd79e9c84fa6adaa9365987aace0e199ab1f)

M  +2    -0    applets/kicker/package/contents/ui/MenuRepresentation.qml
M  +1    -0    applets/kickoff/package/contents/ui/Header.qml
M  +1    -0    applets/kimpanel/backend/ibus/emojier/app/ui/CategoryPage.qml
M  +2    -0    containments/desktop/package/contents/ui/ConfigFilter.qml
M  +2    -0    containments/desktop/package/contents/ui/ConfigLocation.qml
M  +2    -0    desktoppackage/contents/activitymanager/Heading.qml
M  +3    -0    desktoppackage/contents/explorer/WidgetExplorer.qml

https://invent.kde.org/plasma/plasma-desktop/commit/059a9dfe688bcd9763e793bc1238f3d128df44c6
Comment 8 Nate Graham 2021-10-19 19:29:37 UTC
Git commit 7166eb4c6e202f2b3e101399aa6241dd34b38712 by Nate Graham.
Committed on 19/10/2021 at 19:28.
Pushed by ngraham into branch 'master'.

Set Qt.ImhNoPredictiveText for text field that acts as a search field

This ensures that searching happens while the text is being entered from
a virtual keyboard.

M  +2    -0    applet/contents/ui/Toolbar.qml

https://invent.kde.org/plasma/plasma-nm/commit/7166eb4c6e202f2b3e101399aa6241dd34b38712
Comment 9 Nate Graham 2021-10-19 19:29:53 UTC
Git commit ab1ef61c2c590bc3e9ac23693ab0e2ea22e32a53 by Nate Graham.
Committed on 19/10/2021 at 19:29.
Pushed by ngraham into branch 'Plasma/5.23'.

Set Qt.ImhNoPredictiveText for text field that acts as a search field

This ensures that searching happens while the text is being entered from
a virtual keyboard.
(cherry picked from commit 7166eb4c6e202f2b3e101399aa6241dd34b38712)

M  +2    -0    applet/contents/ui/Toolbar.qml

https://invent.kde.org/plasma/plasma-nm/commit/ab1ef61c2c590bc3e9ac23693ab0e2ea22e32a53